instalace firewallu Opensnitch

Problémy a zkušenosti s programy, softwarovými nástroji nebo balíčkovacími systémy pro jejich instalaci
Odpovědět
Zpráva
Autor
soundeng
Příspěvky: 86
Registrován: 03 říj 2018, 07:55

instalace firewallu Opensnitch

#1 Příspěvek od soundeng »

Pokouším se nainstalovat Opensnitch z tohoto zdroje:
https://github.com/evilsocket/opensnitch/releases .
Mám stažené
opensnitch_1.5.1-1_amd64.deb
python3-opensnitch-ui_1.5.1-1_all.deb

Instrukce k instalaci na https://github.com/evilsocket/opensnitc ... stallation říkají instalovat příkazem:

Kód: Vybrat vše

$ sudo apt install ./opensnitch*.deb ./python3-opensnitch-ui*.deb
Konzole píše:

Kód: Vybrat vše

$ sudo apt install ./opensnitch*.deb ./python3-opensnitch-ui*.deb
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pozn: Vybírám „opensnitch“ místo „./opensnitch_1.5.1-1_amd64.deb“
Pozn: Vybírám „python3-opensnitch-ui“ místo „./python3-opensnitch-ui_1.5.1-1_all.deb“
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 python3-opensnitch-ui : Závisí na: python3-grpcio ale nedá se nainstalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.
Zkoušel jsem stáhnout znovu z odkazu níž na stránce. Totéž. Mohl bych se okusit zkompilovat, ale to jsem nikdy nedělal.
Poradíte co s tím?
Díky za rady.
Linux Mint 19.2 Tina, Release: 19.2, xfce

menom
Příspěvky: 2418
Registrován: 12 pro 2012, 15:10

Re: instalace firewallu Opensnitch

#2 Příspěvek od menom »

.

Mne ukazuje python3-grpcio ze je nainstalovany LM 20.3

1) Pre LM 19.x treba nainstalovat baliky ak nie su uz v systeme:
g++
python3-dev
python3-wheel
python3-slugify

Kód: Vybrat vše

sudo apt install g++ python3-dev python3-wheel python3-slugify


2) nainstalovat pip-3 z dôvodu, ze nie vsetky linuxy maju urobene baliky pre vsetky nastroje pythonu

Kód: Vybrat vše

sudo apt install python3-pip
3) nainstalovat pomocou pip-3 co je treba:

Kód: Vybrat vše

sudo pip3 install grpcio==1.16.1 protobuf


Potom instalovat ako ten prvy prikaz.
4)

Kód: Vybrat vše

sudo apt install ./opensnitch*.deb ./python3-opensnitch-ui*.deb


.
.

soundeng
Příspěvky: 86
Registrován: 03 říj 2018, 07:55

Re: instalace firewallu Opensnitch

#3 Příspěvek od soundeng »

Díky, provedl jsem podle popsaného postupu, ale podařila se jen část. Teď už hlásí chybu jen u balíku UI:

Kód: Vybrat vše

$ sudo apt install ./python3-opensnitch-ui*.deb
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pozn: Vybírám „python3-opensnitch-ui“ místo „./python3-opensnitch-ui_1.5.1-1_all.deb“
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 python3-opensnitch-ui : Závisí na: python3-grpcio ale nedá se nainstalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.
Proč hlásí že:
Vybírám „python3-opensnitch-ui“ místo „./python3-opensnitch-ui_1.5.1-1_all.deb“ ?

soundeng
Příspěvky: 86
Registrován: 03 říj 2018, 07:55

Re: instalace firewallu Opensnitch

#4 Příspěvek od soundeng »

Stáhnul jsem tedy python3-opensnitch-ui_1.5.1-1_all.PIP.deb, ten už se tváří, že by se nainstalovat mohl, ale instalace se zastavuje na 90% a nějaké z procesů zatíží procesor na 100%.
Oprava: podařilo se a firewall pracuje i s GUI. Jen ten poslední krok instalace trval hodně dlouho a úplně naplno zatížil procesor.
Díky za pomoc.

Kód: Vybrat vše

$ sudo apt install ./python3-opensnitch-ui_1.5.1-1_all.PIP.deb
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Pozn: Vybírám „python3-opensnitch-ui“ místo „./python3-opensnitch-ui_1.5.1-1_all.PIP.deb“
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  libgtksourceviewmm-3.0-0v5 libgtkspellmm-3.0-0v5 linux-headers-4.15.0-173 linux-headers-4.15.0-173-generic
  linux-image-4.15.0-173-generic linux-modules-4.15.0-173-generic linux-modules-extra-4.15.0-173-generic
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující dodatečné balíky budou instalovány:
  python3-notify2 python3-pyinotify python3-pyqt5.qtsql
Navrhované balíky:
  python3-pyasn python-pyinotify-doc
Následující NOVÉ balíky budou nainstalovány:
  python3-notify2 python3-opensnitch-ui python3-pyinotify python3-pyqt5.qtsql
0 aktualizováno, 4 nově instalováno, 0 k odstranění a 1 neaktualizováno.
Nutno stáhnout 116 kB/355 kB archivů.
Po této operaci bude na disku použito dalších 1 979 kB.
Chcete pokračovat? [Y/n] y
Stahuje se:1 /home/p/Stažené/firewall/Opensnitch/python3-opensnitch-ui_1.5.1-1_all.PIP.deb python3-opensnitch-ui all 1.5.1-1 [239 kB]
Stahuje se:2 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python3-notify2 all 0.3-3 [10,6 kB]
Stahuje se:3 http://archive.ubuntu.com/ubuntu bionic/universe amd64 python3-pyqt5.qtsql amd64 5.10.1+dfsg-1ubuntu2 [80,6 kB]
Stahuje se:4 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-pyinotify all 0.9.6-1 [24,7 kB]
Staženo 116 kB za 0s (537 kB/s)               
Přednastavují se balíky…
Vybírá se dosud nevybraný balík python3-notify2.
(Načítá se databáze … nyní je nainstalováno 465367 souborů a adresářů.)
Připravuje se nahrazení …/python3-notify2_0.3-3_all.deb …
Rozbaluje se python3-notify2 (0.3-3) …
Vybírá se dosud nevybraný balík python3-pyqt5.qtsql.
Připravuje se nahrazení …/python3-pyqt5.qtsql_5.10.1+dfsg-1ubuntu2_amd64.deb …
Rozbaluje se python3-pyqt5.qtsql (5.10.1+dfsg-1ubuntu2) …
Vybírá se dosud nevybraný balík python3-pyinotify.
Připravuje se nahrazení …/python3-pyinotify_0.9.6-1_all.deb …
Rozbaluje se python3-pyinotify (0.9.6-1) …
Vybírá se dosud nevybraný balík python3-opensnitch-ui.
Připravuje se nahrazení …/python3-opensnitch-ui_1.5.1-1_all.PIP.deb …
Rozbaluje se python3-opensnitch-ui (1.5.1-1) …
Nastavuje se balík python3-notify2 (0.3-3) …
Nastavuje se balík python3-pyqt5.qtsql (5.10.1+dfsg-1ubuntu2) …
Nastavuje se balík python3-pyinotify (0.9.6-1) …
Nastavuje se balík python3-opensnitch-ui (1.5.1-1) …
gtk-update-icon-cache: Cache file created successfully.
Installing grpcio-tools...

Postup: [ 90%] [#############################################################################################..........] 

Odpovědět